

# GetQueryResults
<a name="API_GetQueryResults"></a>

Retrieves the paginated results of a query. Returns empty rows if the query is not yet complete.

## Request Syntax
<a name="API_GetQueryResults_RequestSyntax"></a>

```
GET /workspaces/{{workspaceName}}/queries/{{queryId}}/results?maxResults={{maxResults}}&nextToken={{nextToken}} HTTP/1.1
```

## URI Request Parameters
<a name="API_GetQueryResults_RequestParameters"></a>

The request uses the following URI parameters.

 ** [maxResults](#API_GetQueryResults_RequestSyntax) **   <a name="iotsitewise-GetQueryResults-request-uri-maxResults"></a>
The maximum number of results to return for each paginated request.  
Valid Range: Minimum value of 1. Maximum value of 10000.

 ** [nextToken](#API_GetQueryResults_RequestSyntax) **   <a name="iotsitewise-GetQueryResults-request-uri-nextToken"></a>
The token to be used for the next set of paginated results.  
Length Constraints: Minimum length of 1. Maximum length of 4096.

 ** [queryId](#API_GetQueryResults_RequestSyntax) **   <a name="iotsitewise-GetQueryResults-request-uri-queryId"></a>
The unique identifier for the query execution.  
Length Constraints: Minimum length of 1. Maximum length of 64.  
Pattern: `[a-zA-Z0-9-]+`   
Required: Yes

 ** [workspaceName](#API_GetQueryResults_RequestSyntax) **   <a name="iotsitewise-GetQueryResults-request-uri-workspaceName"></a>
The name of the workspace associated with the query.  
Length Constraints: Minimum length of 1. Maximum length of 64.  
Pattern: `^[a-zA-Z0-9_-]+$`   
Required: Yes

## Request Body
<a name="API_GetQueryResults_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_GetQueryResults_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "columnInfo": [ 
      { 
         "name": "string",
         "type": "string"
      }
   ],
   "nextToken": "string",
   "rows": [ 
      [ "string" ]
   ]
}
```

## Response Elements
<a name="API_GetQueryResults_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [columnInfo](#API_GetQueryResults_ResponseSyntax) **   <a name="iotsitewise-GetQueryResults-response-columnInfo"></a>
A list of column metadata for the query results. Each entry contains the column name and data type. Present when the query status is COMPLETED.  
Type: Array of [ColumnInformation](API_ColumnInformation.md) objects

 ** [nextToken](#API_GetQueryResults_ResponseSyntax) **   <a name="iotsitewise-GetQueryResults-response-nextToken"></a>
The token for the next set of results, or null if there are no additional results.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 4096.

 ** [rows](#API_GetQueryResults_ResponseSyntax) **   <a name="iotsitewise-GetQueryResults-response-rows"></a>
The result rows. Each row is a list of string column values, positional to match the columnInfo order. Present when the query status is COMPLETED.  
Type: Array of arrays of strings  
Length Constraints: Minimum length of 0. Maximum length of 1048576.

## Errors
<a name="API_GetQueryResults_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
Access is denied.  
HTTP Status Code: 403

 ** InternalFailureException **   
 AWS IoT SiteWise can't process your request right now. Try again later.  
HTTP Status Code: 500

 ** InvalidRequestException **   
The request isn't valid. This can occur if your request contains malformed JSON or unsupported characters. Check your request and try again.  
HTTP Status Code: 400

 ** ResourceNotFoundException **   
The requested resource can't be found.  
HTTP Status Code: 404

 ** ThrottlingException **   
Your request exceeded a rate limit. For example, you might have exceeded the number of AWS IoT SiteWise assets that can be created per second, the allowed number of messages per second, and so on.  
For more information, see [Quotas](https://docs.aws.amazon.com/iot-sitewise/latest/userguide/quotas.html) in the * AWS IoT SiteWise User Guide*.  
HTTP Status Code: 429

## See Also
<a name="API_GetQueryResults_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/iotsitewise-2019-12-02/GetQueryResults) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/iotsitewise-2019-12-02/GetQueryResults) 
+  [AWS SDK for C\+\+](https://docs.aws.amazon.com/goto/SdkForCpp/iotsitewise-2019-12-02/GetQueryResults) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/iotsitewise-2019-12-02/GetQueryResults) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/iotsitewise-2019-12-02/GetQueryResults) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/iotsitewise-2019-12-02/GetQueryResults) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/iotsitewise-2019-12-02/GetQueryResults) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/iotsitewise-2019-12-02/GetQueryResults) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/iotsitewise-2019-12-02/GetQueryResults) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/iotsitewise-2019-12-02/GetQueryResults) 